Package org.freeplane.plugin.script.proxy

# Interface Proxy.NodeStyleRO

All Superinterfaces:
  `NodeStyleRO`

All Known Subinterfaces:
  `Proxy.NodeStyle`

Enclosing interface:
  Proxy

public static interface Proxy.NodeStyleRO extends NodeStyleRO

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.freeplane.features.styles.IStyle`
  `getStyle()`

  ### Methods inherited from interface org.freeplane.api.NodeStyleRO

  `getAllActiveStyles, getBackgroundColor, getBackgroundColorCode, getBorder, getCss, getEdge, getFont, getHorizontalTextAlignment, getMaxNodeWidth, getMinNodeWidth, getName, getNodeTextColor, getStyleNode, getTextColor, getTextColorCode, isBackgroundColorSet, isCssSet, isFloating, isHorizontalTextAlignmentSet, isMaxNodeWidthSet, isMinNodeWidthSet, isNumberingEnabled, isTextColorSet`

- ## Method Details

  - ### getStyle

    org.freeplane.features.styles.IStyle getStyle()